## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-ncclient
Version:        0.4.2
Release:        %autorelease
Summary:        Python library for the NETCONF protocol

License:        Apache-2.0
URL:            https://github.com/ncclient/ncclient
Source0:        %{url}/archive/v%{version}/ncclient-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel

BuildRequires:  python-setuptools

BuildRequires:  libxml2-python
BuildRequires:  libxslt-python
BuildRequires:  python-lxml
BuildRequires:  python-paramiko

BuildRequires:  python-nose

%global common_description %{expand:
ncclient is a Python library that facilitates client-side scripting and
application development around the NETCONF protocol. ncclient was developed by
Shikar Bhushan.net). It is now maintained by Leonidas Poulopoulos (@leopoul)
and Einar Nilsen-Nygaard (@einarnn).

Docs: http://ncclient.readthedocs.org

PyPI: https://pypi.python.org/pypi/ncclient}

%description %{common_description}


%package -n python2-ncclient

Summary:        %{summary}

%{?python_provide:%python_provide python2-ncclient}

Requires:       libxml2-python
Requires:       libxslt-python
Requires:       python-lxml
Requires:       python-paramiko

%description -n python2-ncclient %{common_description}


%prep
%setup -q -n ncclient-%{version}
# Remove bundled egg-info
rm -rf ncclient.egg-info

# Fix shebangs in examples
find examples -type f |
  while read -r fn
  do
    if head -n 1 "${fn}" |
      grep -E '^#![[:blank:]]*/usr/bin/env[[:blank:]]+python[[:digit:].]*$' \
          >/dev/null
    then
      sed -r -i \
          '1{s|^#![[:blank:]]*/usr/bin/env[[:blank:]]+python[[:digit:].]*$|'\
'#!%{__python2}|}' "${fn}"
    fi
  done


%build
%py2_build


%install
%py2_install


%check
export PYTHONPATH='%{buildroot}%{python2_sitelib}'
export PYTHONDONTWRITEBYTECODE=1
nosetests -v

 
%files -n python2-ncclient
%license LICENSE
%doc README
%doc examples/
%{python2_sitelib}/ncclient/
%{python2_sitelib}/ncclient-%{version}-py%{python2_version}.egg-info/


%changelog
* Fri Dec  5 2014 Ihar Hrachyshka <ihrachys@redhat.com> - 0.4.2-2
- Added missing python-setuptools as a build dependency.
- Include documentation and examples.
- Run unit tests on build.
- Rebuild egg file.
- Added python2 macros needed for el6.
- Made python macros more specific (python -> python2).
- Made %%{python2_sitelib} file inclusion wildcard a bit more strict.

* Thu Dec  4 2014 Ihar Hrachyshka <ihrachys@redhat.com> - 0.4.2-1
- Updated to upstream 0.4.2 version

* Thu Aug  7 2014 Ihar Hrachyshka <ihrachys@redhat.com> - 0.4.1-1
- Initial package for Fedora

